Open SCAP Library

Public Member Functions | Data Fields
cvrf_rpm_attributes Struct Reference

## Public Member Functions
struct cvrf_rpm_attributes * | cvrf_rpm_attributes_new (void)
| Create a new CVRF RPM attributes structure. More...
void | cvrf_rpm_attributes_free (struct cvrf_rpm_attributes *attributes)
| Deallocate memory for the CVRF RPM attributes structure. More...
const char * | cvrf_rpm_attributes_get_full_package_name (const struct cvrf_rpm_attributes *attributes)
const char * | cvrf_rpm_attributes_get_rpm_name (const struct cvrf_rpm_attributes *attributes)
| Used to check if the RPM file exists on the system during evaluation. More...
const char * | cvrf_rpm_attributes_get_evr_format (const struct cvrf_rpm_attributes *attributes)
| Used to check if the system is vulnerable by comparing EVR from the system to EVR in the CVRF file. More...
bool | cvrf_rpm_attributes_set_full_package_name (struct cvrf_rpm_attributes *attributes, const char *full_package)
bool | cvrf_rpm_attributes_set_rpm_name (struct cvrf_rpm_attributes *attributes, const char *rpm_name)
bool | cvrf_rpm_attributes_set_evr_format (struct cvrf_rpm_attributes *attributes, const char *evr_format)

## Data Fields
char * | full_package_name
char * | rpm_name
char * | evr_format

The documentation for this struct was generated from the following files:

- cvrf_eval.c
- cvrf.h